diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -51,7 +51,6 @@
 #include "libavutil/timecode.h"
 #include "libavutil/uuid.h"
 #include "libavcodec/ac3tab.h"
-#include "libavcodec/exif.h"
 #include "libavcodec/flac.h"
 #include "libavcodec/hevc/hevc.h"
 #include "libavcodec/mpegaudiodecheader.h"
@@ -77,19 +76,19 @@
 
 #include "qtpalette.h"
 
-/* those functions parse an atom */
-/* links atom IDs to parse functions */
+ /* those functions parse an atom */
+ /* links atom IDs to parse functions */
 typedef struct MOVParseTableEntry {
     uint32_t type;
-    int (*parse)(MOVContext *ctx, AVIOContext *pb, MOVAtom atom);
+    int (*parse)(MOVContext* ctx, AVIOContext* pb, MOVAtom atom);
 } MOVParseTableEntry;
 
-static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom);
-static int mov_read_mfra(MOVContext *c, AVIOContext *f);
-static void mov_free_stream_context(AVFormatContext *s, AVStream *st);
+static int mov_read_default(MOVContext* c, AVIOContext* pb, MOVAtom atom);
+static int mov_read_mfra(MOVContext* c, AVIOContext* f);
+static void mov_free_stream_context(AVFormatContext* s, AVStream* st);
 
-static int mov_metadata_track_or_disc_number(MOVContext *c, AVIOContext *pb,
-                                             unsigned len, const char *key)
+static int mov_metadata_track_or_disc_number(MOVContext* c, AVIOContext* pb,
+    unsigned len, const char* key)
 {
     char buf[16];
 
@@ -108,8 +107,8 @@ static int mov_metadata_track_or_disc_number(MOVContext *c, AVIOContext *pb,
     return 0;
 }
 
-static int mov_metadata_int8_bypass_padding(MOVContext *c, AVIOContext *pb,
-                                            unsigned len, const char *key)
+static int mov_metadata_int8_bypass_padding(MOVContext* c, AVIOContext* pb,
+    unsigned len, const char* key)
 {
     /* bypass padding bytes */
     avio_r8(pb);
@@ -122,8 +121,8 @@ static int mov_metadata_int8_bypass_padding(MOVContext *c, AVIOContext *pb,
     return 0;
 }
 
-static int mov_metadata_int8_no_padding(MOVContext *c, AVIOContext *pb,
-                                        unsigned len, const char *key)
+static int mov_metadata_int8_no_padding(MOVContext* c, AVIOContext* pb,
+    unsigned len, const char* key)
 {
     c->fc->event_flags |= AVFMT_EVENT_FLAG_METADATA_UPDATED;
     av_dict_set_int(&c->fc->metadata, key, avio_r8(pb), 0);
@@ -131,8 +130,8 @@ static int mov_metadata_int8_no_padding(MOVContext *c, AVIOContext *pb,
     return 0;
 }
 
-static int mov_metadata_gnre(MOVContext *c, AVIOContext *pb,
-                             unsigned len, const char *key)
+static int mov_metadata_gnre(MOVContext* c, AVIOContext* pb,
+    unsigned len, const char* key)
 {
     short genre;
 
@@ -142,7 +141,7 @@ static int mov_metadata_gnre(MOVContext *c, AVIOContext *pb,
     if (genre < 1 || genre > ID3v1_GENRE_MAX)
         return 0;
     c->fc->event_flags |= AVFMT_EVENT_FLAG_METADATA_UPDATED;
-    av_dict_set(&c->fc->metadata, key, ff_id3v1_genre_str[genre-1], 0);
+    av_dict_set(&c->fc->metadata, key, ff_id3v1_genre_str[genre - 1], 0);
 
     return 0;
 }
@@ -166,11 +165,11 @@ static const uint32_t mac_to_unicode[128] = {
     0x00AF,0x02D8,0x02D9,0x02DA,0x00B8,0x02DD,0x02DB,0x02C7,
 };
 
-static int mov_read_mac_string(MOVContext *c, AVIOContext *pb, int len,
-                               char *dst, int dstlen)
+static int mov_read_mac_string(MOVContext* c, AVIOContext* pb, int len,
+    char* dst, int dstlen)
 {
-    char *p = dst;
-    char *end = dst+dstlen-1;
+    char* p = dst;
+    char* end = dst + dstlen - 1;
     int i;
 
     for (i = 0; i < len; i++) {
@@ -182,21 +181,21 @@ static int mov_read_mac_string(MOVContext *c, AVIOContext *pb, int len,
         if (c < 0x80)
             *p++ = c;
         else if (p < end)
-            PUT_UTF8(mac_to_unicode[c-0x80], t, if (p < end) *p++ = t;);
+            PUT_UTF8(mac_to_unicode[c - 0x80], t, if (p < end) *p++ = t;);
     }
     *p = 0;
     return p - dst;
 }
 
 /**
- * Get the requested item.
+ * Get the current item in the parsing process.
  */
-static HEIFItem *get_heif_item(MOVContext *c, unsigned id)
+static HEIFItem* heif_cur_item(MOVContext* c)
 {
-    HEIFItem *item = NULL;
+    HEIFItem* item = NULL;
 
     for (int i = 0; i < c->nb_heif_item; i++) {
-        if (!c->heif_item[i] || c->heif_item[i]->item_id != id)
+        if (!c->heif_item[i] || c->heif_item[i]->item_id != c->cur_item_id)
             continue;
 
         item = c->heif_item[i];
@@ -210,28 +209,28 @@ static HEIFItem *get_heif_item(MOVContext *c, unsigned id)
  * Get the current stream in the parsing process. This can either be the
  * latest stream added to the context, or the stream referenced by an item.
  */
-static AVStream *get_curr_st(MOVContext *c)
+static AVStream* get_curr_st(MOVContext* c)
 {
-    AVStream *st = NULL;
-    HEIFItem *item;
+    AVStream* st = NULL;
+    HEIFItem* item;
 
     if (c->fc->nb_streams < 1)
         return NULL;
 
     if (c->cur_item_id == -1)
-        return c->fc->streams[c->fc->nb_streams-1];
+        return c->fc->streams[c->fc->nb_streams - 1];
 
-    item = get_heif_item(c, c->cur_item_id);
+    item = heif_cur_item(c);
     if (item)
         st = item->st;
 
     return st;
 }
 
-static int mov_read_covr(MOVContext *c, AVIOContext *pb, int type, int len)
+static int mov_read_covr(MOVContext* c, AVIOContext* pb, int type, int len)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     enum AVCodecID id;
     int ret;
 
@@ -261,23 +260,24 @@ static int mov_read_covr(MOVContext *c, AVIOContext *pb, int type, int len)
     if (st->attached_pic.size >= 8 && id != AV_CODEC_ID_BMP) {
         if (AV_RB64(st->attached_pic.data) == 0x89504e470d0a1a0a) {
             id = AV_CODEC_ID_PNG;
-        } else {
+        }
+        else {
             id = AV_CODEC_ID_MJPEG;
         }
     }
-    st->codecpar->codec_id   = id;
+    st->codecpar->codec_id = id;
 
     return 0;
 }
 
 // 3GPP TS 26.244
-static int mov_metadata_loci(MOVContext *c, AVIOContext *pb, unsigned len)
+static int mov_metadata_loci(MOVContext* c, AVIOContext* pb, unsigned len)
 {
     char language[4] = { 0 };
     char buf[200], place[100];
     uint16_t langcode = 0;
     double longitude, latitude, altitude;
-    const char *key = "location";
+    const char* key = "location";
 
     if (len < 4 + 2 + 1 + 1 + 4 + 4 + 4) {
         av_log(c->fc, AV_LOG_ERROR, "loci too short\n");
@@ -299,15 +299,15 @@ static int mov_metadata_loci(MOVContext *c, AVIOContext *pb, unsigned len)
 
     if (len < 12) {
         av_log(c->fc, AV_LOG_ERROR,
-               "loci too short (%u bytes left, need at least %d)\n", len, 12);
+            "loci too short (%u bytes left, need at least %d)\n", len, 12);
         return AVERROR_INVALIDDATA;
     }
-    longitude = ((int32_t) avio_rb32(pb)) / (float) (1 << 16);
-    latitude  = ((int32_t) avio_rb32(pb)) / (float) (1 << 16);
-    altitude  = ((int32_t) avio_rb32(pb)) / (float) (1 << 16);
+    longitude = ((int32_t)avio_rb32(pb)) / (float)(1 << 16);
+    latitude = ((int32_t)avio_rb32(pb)) / (float)(1 << 16);
+    altitude = ((int32_t)avio_rb32(pb)) / (float)(1 << 16);
 
     // Try to output in the same format as the ?xyz field
-    snprintf(buf, sizeof(buf), "%+08.4f%+09.4f",  latitude, longitude);
+    snprintf(buf, sizeof(buf), "%+08.4f%+09.4f", latitude, longitude);
     if (altitude)
         av_strlcatf(buf, sizeof(buf), "%+f", altitude);
     av_strlcatf(buf, sizeof(buf), "/%s", place);
@@ -321,7 +321,7 @@ static int mov_metadata_loci(MOVContext *c, AVIOContext *pb, unsigned len)
     return av_dict_set(&c->fc->metadata, key, buf, 0);
 }
 
-static int mov_metadata_hmmt(MOVContext *c, AVIOContext *pb, unsigned len)
+static int mov_metadata_hmmt(MOVContext* c, AVIOContext* pb, unsigned len)
 {
     int i, n_hmmt;
 
@@ -342,19 +342,19 @@ static int mov_metadata_hmmt(MOVContext *c, AVIOContext *pb, unsigned len)
     return 0;
 }
 
-static int mov_read_udta_string(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_udta_string(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    char tmp_key[AV_FOURCC_MAX_STRING_SIZE] = {0};
-    char key2[32], language[4] = {0};
-    char *str = NULL;
-    const char *key = NULL;
+    char tmp_key[AV_FOURCC_MAX_STRING_SIZE] = { 0 };
+    char key2[32], language[4] = { 0 };
+    char* str = NULL;
+    const char* key = NULL;
     uint16_t langcode = 0;
     uint32_t data_type = 0, str_size_alloc;
     uint64_t str_size;
     int (*parse)(MOVContext*, AVIOContext*, unsigned, const char*) = NULL;
     int raw = 0;
     int num = 0;
-    AVDictionary **metadata;
+    AVDictionary** metadata;
 
     if (c->trak_index >= 0 && c->trak_index < c->fc->nb_streams)
         metadata = &c->fc->streams[c->trak_index]->metadata;
@@ -362,102 +362,101 @@ static int mov_read_udta_string(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         metadata = &c->fc->metadata;
 
     switch (atom.type) {
-    case MKTAG( '@','P','R','M'): key = "premiere_version"; raw = 1; break;
-    case MKTAG( '@','P','R','Q'): key = "quicktime_version"; raw = 1; break;
-    case MKTAG( 'X','M','P','_'):
+    case MKTAG('@', 'P', 'R', 'M'): key = "premiere_version"; raw = 1; break;
+    case MKTAG('@', 'P', 'R', 'Q'): key = "quicktime_version"; raw = 1; break;
+    case MKTAG('X', 'M', 'P', '_'):
         if (c->export_xmp) { key = "xmp"; raw = 1; } break;
-    case MKTAG( 'a','A','R','T'): key = "album_artist";    break;
-    case MKTAG( 'a','k','I','D'): key = "account_type";
+    case MKTAG('a', 'A', 'R', 'T'): key = "album_artist";    break;
+    case MKTAG('a', 'k', 'I', 'D'): key = "account_type";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 'a','p','I','D'): key = "account_id"; break;
-    case MKTAG( 'c','a','t','g'): key = "category"; break;
-    case MKTAG( 'c','p','i','l'): key = "compilation";
+    case MKTAG('a', 'p', 'I', 'D'): key = "account_id"; break;
+    case MKTAG('c', 'a', 't', 'g'): key = "category"; break;
+    case MKTAG('c', 'p', 'i', 'l'): key = "compilation";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 'c','p','r','t'): key = "copyright"; break;
-    case MKTAG( 'd','e','s','c'): key = "description"; break;
-    case MKTAG( 'd','i','s','k'): key = "disc";
+    case MKTAG('c', 'p', 'r', 't'): key = "copyright"; break;
+    case MKTAG('d', 'e', 's', 'c'): key = "description"; break;
+    case MKTAG('d', 'i', 's', 'k'): key = "disc";
         parse = mov_metadata_track_or_disc_number; break;
-    case MKTAG( 'e','g','i','d'): key = "episode_uid";
+    case MKTAG('e', 'g', 'i', 'd'): key = "episode_uid";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 'F','I','R','M'): key = "firmware"; raw = 1; break;
-    case MKTAG( 'g','n','r','e'): key = "genre";
+    case MKTAG('F', 'I', 'R', 'M'): key = "firmware"; raw = 1; break;
+    case MKTAG('g', 'n', 'r', 'e'): key = "genre";
         parse = mov_metadata_gnre; break;
-    case MKTAG( 'h','d','v','d'): key = "hd_video";
+    case MKTAG('h', 'd', 'v', 'd'): key = "hd_video";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 'H','M','M','T'):
+    case MKTAG('H', 'M', 'M', 'T'):
         return mov_metadata_hmmt(c, pb, atom.size);
-    case MKTAG( 'k','e','y','w'): key = "keywords";  break;
-    case MKTAG( 'l','d','e','s'): key = "synopsis";  break;
-    case MKTAG( 'l','o','c','i'):
+    case MKTAG('k', 'e', 'y', 'w'): key = "keywords";  break;
+    case MKTAG('l', 'd', 'e', 's'): key = "synopsis";  break;
+    case MKTAG('l', 'o', 'c', 'i'):
         return mov_metadata_loci(c, pb, atom.size);
-    case MKTAG( 'm','a','n','u'): key = "make"; break;
-    case MKTAG( 'm','o','d','l'): key = "model"; break;
-    case MKTAG( 'n','a','m','e'): key = "name"; break;
-    case MKTAG( 'p','c','s','t'): key = "podcast";
+    case MKTAG('m', 'a', 'n', 'u'): key = "make"; break;
+    case MKTAG('m', 'o', 'd', 'l'): key = "model"; break;
+    case MKTAG('p', 'c', 's', 't'): key = "podcast";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 'p','g','a','p'): key = "gapless_playback";
+    case MKTAG('p', 'g', 'a', 'p'): key = "gapless_playback";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 'p','u','r','d'): key = "purchase_date"; break;
-    case MKTAG( 'r','t','n','g'): key = "rating";
+    case MKTAG('p', 'u', 'r', 'd'): key = "purchase_date"; break;
+    case MKTAG('r', 't', 'n', 'g'): key = "rating";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 's','o','a','a'): key = "sort_album_artist"; break;
-    case MKTAG( 's','o','a','l'): key = "sort_album";   break;
-    case MKTAG( 's','o','a','r'): key = "sort_artist";  break;
-    case MKTAG( 's','o','c','o'): key = "sort_composer"; break;
-    case MKTAG( 's','o','n','m'): key = "sort_name";    break;
-    case MKTAG( 's','o','s','n'): key = "sort_show";    break;
-    case MKTAG( 's','t','i','k'): key = "media_type";
+    case MKTAG('s', 'o', 'a', 'a'): key = "sort_album_artist"; break;
+    case MKTAG('s', 'o', 'a', 'l'): key = "sort_album";   break;
+    case MKTAG('s', 'o', 'a', 'r'): key = "sort_artist";  break;
+    case MKTAG('s', 'o', 'c', 'o'): key = "sort_composer"; break;
+    case MKTAG('s', 'o', 'n', 'm'): key = "sort_name";    break;
+    case MKTAG('s', 'o', 's', 'n'): key = "sort_show";    break;
+    case MKTAG('s', 't', 'i', 'k'): key = "media_type";
         parse = mov_metadata_int8_no_padding; break;
-    case MKTAG( 't','r','k','n'): key = "track";
+    case MKTAG('t', 'r', 'k', 'n'): key = "track";
         parse = mov_metadata_track_or_disc_number; break;
-    case MKTAG( 't','v','e','n'): key = "episode_id"; break;
-    case MKTAG( 't','v','e','s'): key = "episode_sort";
+    case MKTAG('t', 'v', 'e', 'n'): key = "episode_id"; break;
+    case MKTAG('t', 'v', 'e', 's'): key = "episode_sort";
         parse = mov_metadata_int8_bypass_padding; break;
-    case MKTAG( 't','v','n','n'): key = "network";   break;
-    case MKTAG( 't','v','s','h'): key = "show";      break;
-    case MKTAG( 't','v','s','n'): key = "season_number";
+    case MKTAG('t', 'v', 'n', 'n'): key = "network";   break;
+    case MKTAG('t', 'v', 's', 'h'): key = "show";      break;
+    case MKTAG('t', 'v', 's', 'n'): key = "season_number";
         parse = mov_metadata_int8_bypass_padding; break;
-    case MKTAG(0xa9,'A','R','T'): key = "artist";    break;
-    case MKTAG(0xa9,'P','R','D'): key = "producer";  break;
-    case MKTAG(0xa9,'a','l','b'): key = "album";     break;
-    case MKTAG(0xa9,'a','u','t'): key = "artist";    break;
-    case MKTAG(0xa9,'c','h','p'): key = "chapter";   break;
-    case MKTAG(0xa9,'c','m','t'): key = "comment";   break;
-    case MKTAG(0xa9,'c','o','m'): key = "composer";  break;
-    case MKTAG(0xa9,'c','p','y'): key = "copyright"; break;
-    case MKTAG(0xa9,'d','a','y'): key = "date";      break;
-    case MKTAG(0xa9,'d','i','r'): key = "director";  break;
-    case MKTAG(0xa9,'d','i','s'): key = "disclaimer"; break;
-    case MKTAG(0xa9,'e','d','1'): key = "edit_date"; break;
-    case MKTAG(0xa9,'e','n','c'): key = "encoder";   break;
-    case MKTAG(0xa9,'f','m','t'): key = "original_format"; break;
-    case MKTAG(0xa9,'g','e','n'): key = "genre";     break;
-    case MKTAG(0xa9,'g','r','p'): key = "grouping";  break;
-    case MKTAG(0xa9,'h','s','t'): key = "host_computer"; break;
-    case MKTAG(0xa9,'i','n','f'): key = "comment";   break;
-    case MKTAG(0xa9,'l','y','r'): key = "lyrics";    break;
-    case MKTAG(0xa9,'m','a','k'): key = "make";      break;
-    case MKTAG(0xa9,'m','o','d'): key = "model";     break;
-    case MKTAG(0xa9,'n','a','m'): key = "title";     break;
-    case MKTAG(0xa9,'o','p','e'): key = "original_artist"; break;
-    case MKTAG(0xa9,'p','r','d'): key = "producer";  break;
-    case MKTAG(0xa9,'p','r','f'): key = "performers"; break;
-    case MKTAG(0xa9,'r','e','q'): key = "playback_requirements"; break;
-    case MKTAG(0xa9,'s','r','c'): key = "original_source"; break;
-    case MKTAG(0xa9,'s','t','3'): key = "subtitle";  break;
-    case MKTAG(0xa9,'s','w','r'): key = "encoder";   break;
-    case MKTAG(0xa9,'t','o','o'): key = "encoder";   break;
-    case MKTAG(0xa9,'t','r','k'): key = "track";     break;
-    case MKTAG(0xa9,'u','r','l'): key = "URL";       break;
-    case MKTAG(0xa9,'w','r','n'): key = "warning";   break;
-    case MKTAG(0xa9,'w','r','t'): key = "composer";  break;
-    case MKTAG(0xa9,'x','y','z'): key = "location";  break;
+    case MKTAG(0xa9, 'A', 'R', 'T'): key = "artist";    break;
+    case MKTAG(0xa9, 'P', 'R', 'D'): key = "producer";  break;
+    case MKTAG(0xa9, 'a', 'l', 'b'): key = "album";     break;
+    case MKTAG(0xa9, 'a', 'u', 't'): key = "artist";    break;
+    case MKTAG(0xa9, 'c', 'h', 'p'): key = "chapter";   break;
+    case MKTAG(0xa9, 'c', 'm', 't'): key = "comment";   break;
+    case MKTAG(0xa9, 'c', 'o', 'm'): key = "composer";  break;
+    case MKTAG(0xa9, 'c', 'p', 'y'): key = "copyright"; break;
+    case MKTAG(0xa9, 'd', 'a', 'y'): key = "date";      break;
+    case MKTAG(0xa9, 'd', 'i', 'r'): key = "director";  break;
+    case MKTAG(0xa9, 'd', 'i', 's'): key = "disclaimer"; break;
+    case MKTAG(0xa9, 'e', 'd', '1'): key = "edit_date"; break;
+    case MKTAG(0xa9, 'e', 'n', 'c'): key = "encoder";   break;
+    case MKTAG(0xa9, 'f', 'm', 't'): key = "original_format"; break;
+    case MKTAG(0xa9, 'g', 'e', 'n'): key = "genre";     break;
+    case MKTAG(0xa9, 'g', 'r', 'p'): key = "grouping";  break;
+    case MKTAG(0xa9, 'h', 's', 't'): key = "host_computer"; break;
+    case MKTAG(0xa9, 'i', 'n', 'f'): key = "comment";   break;
+    case MKTAG(0xa9, 'l', 'y', 'r'): key = "lyrics";    break;
+    case MKTAG(0xa9, 'm', 'a', 'k'): key = "make";      break;
+    case MKTAG(0xa9, 'm', 'o', 'd'): key = "model";     break;
+    case MKTAG(0xa9, 'n', 'a', 'm'): key = "title";     break;
+    case MKTAG(0xa9, 'o', 'p', 'e'): key = "original_artist"; break;
+    case MKTAG(0xa9, 'p', 'r', 'd'): key = "producer";  break;
+    case MKTAG(0xa9, 'p', 'r', 'f'): key = "performers"; break;
+    case MKTAG(0xa9, 'r', 'e', 'q'): key = "playback_requirements"; break;
+    case MKTAG(0xa9, 's', 'r', 'c'): key = "original_source"; break;
+    case MKTAG(0xa9, 's', 't', '3'): key = "subtitle";  break;
+    case MKTAG(0xa9, 's', 'w', 'r'): key = "encoder";   break;
+    case MKTAG(0xa9, 't', 'o', 'o'): key = "encoder";   break;
+    case MKTAG(0xa9, 't', 'r', 'k'): key = "track";     break;
+    case MKTAG(0xa9, 'u', 'r', 'l'): key = "URL";       break;
+    case MKTAG(0xa9, 'w', 'r', 'n'): key = "warning";   break;
+    case MKTAG(0xa9, 'w', 'r', 't'): key = "composer";  break;
+    case MKTAG(0xa9, 'x', 'y', 'z'): key = "location";  break;
     }
 retry:
     if (c->itunes_metadata && atom.size > 8) {
         int data_size = avio_rb32(pb);
         int tag = avio_rl32(pb);
-        if (tag == MKTAG('d','a','t','a') && data_size <= atom.size && data_size >= 16) {
+        if (tag == MKTAG('d', 'a', 't', 'a') && data_size <= atom.size && data_size >= 16) {
             data_type = avio_rb32(pb); // type
             avio_rb32(pb); // unknown
             str_size = data_size - 16;
@@ -467,10 +466,11 @@ retry:
                 uint32_t index = av_bswap32(atom.type); // BE number has been read as LE
                 if (index < c->meta_keys_count && index > 0) {
                     key = c->meta_keys[index];
-                } else if (atom.type != MKTAG('c', 'o', 'v', 'r')) {
+                }
+                else if (atom.type != MKTAG('c', 'o', 'v', 'r')) {
                     av_log(c->fc, AV_LOG_WARNING,
-                           "The index of 'data' is out of range: %"PRId32" < 1 or >= %d.\n",
-                           index, c->meta_keys_count);
+                        "The index of 'data' is out of range: %"PRId32" < 1 or >= %d.\n",
+                        index, c->meta_keys_count);
                 }
             }
             if (atom.type == MKTAG('c', 'o', 'v', 'r') ||
@@ -485,8 +485,10 @@ retry:
                     goto retry;
                 return ret;
             }
-        } else return 0;
-    } else if (atom.size > 4 && (key || c->export_all) && !c->itunes_metadata && !raw) {
+        }
+        else return 0;
+    }
+    else if (atom.size > 4 && (key || c->export_all) && !c->itunes_metadata && !raw) {
         str_size = avio_rb16(pb); // string length
         if (str_size > atom.size) {
             raw = 1;
@@ -497,7 +499,8 @@ retry:
         langcode = avio_rb16(pb);
         ff_mov_lang_to_iso639(langcode, language);
         atom.size -= 4;
-    } else
+    }
+    else
         str_size = atom.size;
 
     if (c->export_all && !key) {
@@ -506,7 +509,7 @@ retry:
 
     if (!key)
         return 0;
-    if (atom.size < 0 || str_size >= INT_MAX/2)
+    if (atom.size < 0 || str_size >= INT_MAX / 2)
         return AVERROR_INVALIDDATA;
 
     // Allocates enough space if data_type is a int32 or float32 number, otherwise
@@ -522,23 +525,25 @@ retry:
     else {
         if (!raw && (data_type == 3 || (data_type == 0 && (langcode < 0x400 || langcode == 0x7fff)))) { // MAC Encoded
             mov_read_mac_string(c, pb, str_size, str, str_size_alloc);
-        } else if (data_type == 21) { // BE signed integer, variable size
+        }
+        else if (data_type == 21) { // BE signed integer, variable size
             int val = 0;
             if (str_size == 1)
                 val = (int8_t)avio_r8(pb);
             else if (str_size == 2)
                 val = (int16_t)avio_rb16(pb);
             else if (str_size == 3)
-                val = ((int32_t)(avio_rb24(pb)<<8))>>8;
+                val = ((int32_t)(avio_rb24(pb) << 8)) >> 8;
             else if (str_size == 4)
                 val = (int32_t)avio_rb32(pb);
             if (snprintf(str, str_size_alloc, "%d", val) >= str_size_alloc) {
                 av_log(c->fc, AV_LOG_ERROR,
-                       "Failed to store the number (%d) in string.\n", val);
+                    "Failed to store the number (%d) in string.\n", val);
                 av_free(str);
                 return AVERROR_INVALIDDATA;
             }
-        } else if (data_type == 22) { // BE unsigned integer, variable size
+        }
+        else if (data_type == 22) { // BE unsigned integer, variable size
             unsigned int val = 0;
             if (str_size == 1)
                 val = avio_r8(pb);
@@ -550,19 +555,21 @@ retry:
                 val = avio_rb32(pb);
             if (snprintf(str, str_size_alloc, "%u", val) >= str_size_alloc) {
                 av_log(c->fc, AV_LOG_ERROR,
-                       "Failed to store the number (%u) in string.\n", val);
+                    "Failed to store the number (%u) in string.\n", val);
                 av_free(str);
                 return AVERROR_INVALIDDATA;
             }
-        } else if (data_type == 23 && str_size >= 4) {  // BE float32
+        }
+        else if (data_type == 23 && str_size >= 4) {  // BE float32
             float val = av_int2float(avio_rb32(pb));
             if (snprintf(str, str_size_alloc, "%f", val) >= str_size_alloc) {
                 av_log(c->fc, AV_LOG_ERROR,
-                       "Failed to store the float32 number (%f) in string.\n", val);
+                    "Failed to store the float32 number (%f) in string.\n", val);
                 av_free(str);
                 return AVERROR_INVALIDDATA;
             }
-        } else if (data_type > 1 && data_type != 4) {
+        }
+        else if (data_type > 1 && data_type != 4) {
             // data_type can be 0 if not set at all above. data_type 1 means
             // UTF8 and 4 means "UTF8 sort". For any other type (UTF16 or e.g.
             // a picture), don't return it blindly in a string that is supposed
@@ -570,7 +577,8 @@ retry:
             av_log(c->fc, AV_LOG_WARNING, "Skipping unhandled metadata %s of type %d\n", key, data_type);
             av_free(str);
             return 0;
-        } else {
+        }
+        else {
             int ret = ffio_read_size(pb, str, str_size);
             if (ret < 0) {
                 av_free(str);
@@ -587,7 +595,7 @@ retry:
         if (!strcmp(key, "encoder")) {
             int major, minor, micro;
             if (sscanf(str, "HandBrake %d.%d.%d", &major, &minor, &micro) == 3) {
-                c->handbrake_version = 1000000*major + 1000*minor + micro;
+                c->handbrake_version = 1000000 * major + 1000 * minor + micro;
             }
         }
     }
@@ -596,11 +604,11 @@ retry:
     return 0;
 }
 
-static int mov_read_chpl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_chpl(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int64_t start;
     int i, nb_chapters, str_len, version;
-    char str[256+1];
+    char str[256 + 1];
     int ret;
 
     if (c->ignore_chapters)
@@ -622,39 +630,39 @@ static int mov_read_chpl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         start = avio_rb64(pb);
         str_len = avio_r8(pb);
 
-        if ((atom.size -= 9+str_len) < 0)
+        if ((atom.size -= 9 + str_len) < 0)
             return 0;
 
         ret = ffio_read_size(pb, str, str_len);
         if (ret < 0)
             return ret;
         str[str_len] = 0;
-        avpriv_new_chapter(c->fc, i, (AVRational){1,10000000}, start, AV_NOPTS_VALUE, str);
+        avpriv_new_chapter(c->fc, i, (AVRational) { 1, 10000000 }, start, AV_NOPTS_VALUE, str);
     }
     return 0;
 }
 
 #define MIN_DATA_ENTRY_BOX_SIZE 12
-static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dref(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int entries, i, j;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     avio_rb32(pb); // version + flags
     entries = avio_rb32(pb);
     if (!entries ||
-        entries >  (atom.size - 1) / MIN_DATA_ENTRY_BOX_SIZE + 1 ||
+        entries > (atom.size - 1) / MIN_DATA_ENTRY_BOX_SIZE + 1 ||
         entries >= UINT_MAX / sizeof(*sc->drefs))
         return AVERROR_INVALIDDATA;
 
     for (i = 0; i < sc->drefs_count; i++) {
-        MOVDref *dref = &sc->drefs[i];
+        MOVDref* dref = &sc->drefs[i];
         av_freep(&dref->path);
         av_freep(&dref->dir);
     }
@@ -666,7 +674,7 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     sc->drefs_count = entries;
 
     for (i = 0; i < entries; i++) {
-        MOVDref *dref = &sc->drefs[i];
+        MOVDref* dref = &sc->drefs[i];
         uint32_t size = avio_rb32(pb);
         int64_t next = avio_tell(pb);
 
@@ -678,7 +686,7 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         dref->type = avio_rl32(pb);
         avio_rb32(pb); // version + flags
 
-        if (dref->type == MKTAG('a','l','i','s') && size > 150) {
+        if (dref->type == MKTAG('a', 'l', 'i', 's') && size > 150) {
             /* macintosh alias record */
             uint16_t volume_len, len;
             int16_t type;
@@ -708,9 +716,9 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
             /* read next level up_from_alias/down_to_target */
             dref->nlvl_from = avio_rb16(pb);
-            dref->nlvl_to   = avio_rb16(pb);
+            dref->nlvl_to = avio_rb16(pb);
             av_log(c->fc, AV_LOG_DEBUG, "nlvl from %d, nlvl to %d\n",
-                   dref->nlvl_from, dref->nlvl_to);
+                dref->nlvl_from, dref->nlvl_to);
 
             avio_skip(pb, 16);
 
@@ -720,11 +728,11 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                 type = avio_rb16(pb);
                 len = avio_rb16(pb);
                 av_log(c->fc, AV_LOG_DEBUG, "type %d, len %d\n", type, len);
-                if (len&1)
+                if (len & 1)
                     len += 1;
                 if (type == 2) { // absolute path
                     av_free(dref->path);
-                    dref->path = av_mallocz(len+1);
+                    dref->path = av_mallocz(len + 1);
                     if (!dref->path)
                         return AVERROR(ENOMEM);
 
@@ -735,7 +743,7 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                     }
                     if (len > volume_len && !strncmp(dref->path, dref->volume, volume_len)) {
                         len -= volume_len;
-                        memmove(dref->path, dref->path+volume_len, len);
+                        memmove(dref->path, dref->path + volume_len, len);
                         dref->path[len] = 0;
                     }
                     // trim string of any ending zeros
@@ -749,9 +757,10 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                         if (dref->path[j] == ':' || dref->path[j] == 0)
                             dref->path[j] = '/';
                     av_log(c->fc, AV_LOG_DEBUG, "path %s\n", dref->path);
-                } else if (type == 0) { // directory name
+                }
+                else if (type == 0) { // directory name
                     av_free(dref->dir);
-                    dref->dir = av_malloc(len+1);
+                    dref->dir = av_malloc(len + 1);
                     if (!dref->dir)
                         return AVERROR(ENOMEM);
 
@@ -765,12 +774,14 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                         if (dref->dir[j] == ':')
                             dref->dir[j] = '/';
                     av_log(c->fc, AV_LOG_DEBUG, "dir %s\n", dref->dir);
-                } else
+                }
+                else
                     avio_skip(pb, len);
             }
-        } else {
+        }
+        else {
             av_log(c->fc, AV_LOG_DEBUG, "Unknown dref type 0x%08"PRIx32" size %"PRIu32"\n",
-                   dref->type, size);
+                dref->type, size);
             entries--;
             i--;
         }
@@ -779,13 +790,13 @@ static int mov_read_dref(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_hdlr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_hdlr(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     uint32_t type;
     uint32_t ctype;
     int64_t title_size;
-    char *title_str;
+    char* title_str;
     int ret;
 
     avio_r8(pb); /* version */
